Sunday, June 5, 2011

Google Will No Longer Support Older Browsers after from 1st August

Google apps has decided to drop support for the older versions of browsers from 1st August. So all the users which are using IE 7 , Mozilla Firefox 3.5 , Safari 3 or their older version can not access some functions or ma be the entire service of the Gmail, Google Docs , Google Calender, Google Talk, Google Sites.

Google has taken this step to stop the usage of outdated and older browsers that are insecure and lacking the latest features. Whenever the latest version of any browser will released Google will drop support for third oldest version.

So if you are using the older version of any browser mentioned above then you need to update your browser to the latest versions of these browsers. Here are the download links for latest browsers.
Mozilla Firefox
Google Chrome
Internet Explorer

Google has made these changes because whenever they will start any service or make any compatibility test then they will test only for the latest versions of Browsers.

On the other hand the Mozilla Firefox , Microsoft and Apple has started the campaigns to stop the usage of Older versions of browsers.


BD SEO Services said...

Google make changes everyday & every time.

Raphnexx The SEO Service Provider said...

Thanks for the update!It seems that Google makes major changes in their service.